<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="frm_AbonoOtrosPagos.aspx.vb" Inherits="SGHweb.frm_AbonoOtrosPagos" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" type="text/javascript"></script>
  <!-- noty -->
  <script type="text/javascript" src="../Scripts/noty/jquery.noty.js"></script>
  <!-- themes -->
  <script type="text/javascript" src="../Scripts/noty/themes/default.js"></script>
  <script type="text/javascript" src="../Scripts/noty/layouts/center.js"></script>
  <link rel="stylesheet" type="text/css" href="../Scripts/noty/buttons.css" />

<style type="text/css">
div.RadToolBar .rtbUL
{
    width: 95%;
    height: 90%;
    white-space: normal;
}
div.RadToolBar .rightButton
{
    float: right;
}
.divResponsables {
	border:1px solid #8db2e3;
	margin-left:0.2em;
	/*margin-bottom:0.5em;*/
	padding:0.1em;
	font-size:1em;
	overflow:hidden;
	width:90%;
	text-align:center;
}
.divFiltros
{
	border:1px solid #8db2e3;
	padding:0.2em;
	font-size:1em;
	overflow:hidden;
	width:100%;
	text-align:center;
}
.divBoton
{
	border:1px solid #8db2e3;
	padding:0.28em;
	font-size:1em;
	overflow:hidden;
	width:100%;
}
.small.button, .small.button:visited {
font-size: 15px ;
}
/* botones extra grandes */
.super.button, .super.button:visited {
font-size: 34px;
}

.blue.button, .blue.button:visited { background-color: #3c7fb1;
top: 0px;
left: 0px;
width: 176px;
height: 37px;
}

.divtableInterior {
	/*border:1px solid #8db2e3;*/
	font-size:1em;
	overflow:hidden;
	width:100%;
	text-align:center;
}
</style>
<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
<script type="text/javascript">
    function GetRadWindow() {
        var oWindow = null;
        if (window.radWindow)
            oWindow = window.radWindow;
        else if (window.frameElement.radWindow)
            oWindow = window.frameElement.radWindow;
        return oWindow;
    }

    function Close() {
        var oWindow = GetRadWindow();
        oWindow.argument = null;
        oWindow.close();
        return false;
    }

    function SizeToFit() {
        window.setTimeout(
        function () {
            var oWnd = GetRadWindow();
            oWnd.SetWidth(document.body.scrollWidth + 16);
            oWnd.SetHeight(document.body.scrollHeight + 39);
            oWnd.center();
        }, 400);
    }
    // Abrir Ventana Empresas
    function abrirEmpresasGrilla() {
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        var texto_digitado = document.getElementById('txt_empresa');
        var ruta_ventana_empresas = "../Ctrl_Grillas_Emergentes.aspx?accion=Empresas_sin_inicio&texto_digitado=" + texto_digitado.value
        oWnd.setUrl(ruta_ventana_empresas);
        oWnd.add_close(cerrarEmpresasGrilla);
        oWnd.show();
        return false;
    }
    function cerrarEmpresasGrilla(oWnd, args) {
        var arg = args.get_argument();
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        oWnd.remove_close(cerrarEmpresasGrilla);
        if (arg) {
            var empresaid = arg.cell_id.trim();
            var razonsocial = arg.cell_valor.trim();

            var controlid = document.getElementById('txt_empresaID');
            var controltexto = document.getElementById('txt_empresa');

            controltexto.value = razonsocial;
            controlid.value = empresaid;
            //alert(empresaid);
        }
        controltexto.focus();
    }
    // Abrir Ventana Planilla //
    function abrir_ventana_planilla() {
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        var texto_digitado = document.getElementById('<%= txt_planilla.ClientId %>').value;
        var ruta_ventana = "../Ctrl_Grillas_Emergentes.aspx?accion=Planillas_sin_inicio&texto_digitado=" + texto_digitado
        oWnd.setUrl(ruta_ventana);
        oWnd.add_close(Cerrar_ventana_planilla);
        oWnd.show();
        return false;
    }
    function Cerrar_ventana_planilla(oWnd, args) {
        var arg = args.get_argument();
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        oWnd.remove_close(Cerrar_ventana_planilla);
        if (arg) {
            var valor_id = arg.cell_id.trim();
            var valor_nombre = arg.cell_valor.trim();
            var txt_id = $find('<%= txt_planilla_id.ClientID %>');
            document.getElementById('<%= txt_planilla.ClientId %>').value = valor_nombre;
            txt_id.set_value(valor_id);
        }
        document.getElementById('<%= txt_planilla.ClientId %>').focus();
    }
    // FIN Abrir Ventana Planilla //

    // Abrir Ventana MedioPago //
    function abrir_ventana_mediopago() {
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        var texto_digitado = document.getElementById('<%= txt_mediopago.ClientId %>').value;
        var ruta_ventana = "../Ctrl_Grillas_Emergentes.aspx?accion=MedioPagos_sin_inicio&texto_digitado=" + texto_digitado
        oWnd.setUrl(ruta_ventana);
        oWnd.add_close(Cerrar_ventana_mediopago);
        oWnd.show();
        return false;
    }
    function Cerrar_ventana_mediopago(oWnd, args) {
        var arg = args.get_argument();
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        oWnd.remove_close(Cerrar_ventana_mediopago);
        if (arg) {
            var valor_id = arg.cell_id.trim();
            var valor_nombre = arg.cell_valor.trim();
            var txt_id = $find('<%= txt_mediopago_id.ClientID %>');
            document.getElementById('<%= txt_mediopago.ClientId %>').value = valor_nombre;
            txt_id.set_value(valor_id);
        }
        document.getElementById('<%= txt_mediopago.ClientId %>').focus();
    }
    // FIN Abrir Ventana Planilla //

    // Abrir Ventana FlujoCaja //
    function abrir_ventana_flujocaja() {
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        var texto_digitado = document.getElementById('<%= txt_flujocaja.ClientId %>').value;
        var ruta_ventana = "../Ctrl_Grillas_Emergentes.aspx?accion=FlujoCaja_sin_inicio&texto_digitado=" + texto_digitado
        oWnd.setUrl(ruta_ventana);
        oWnd.add_close(Cerrar_ventana_flujocaja);
        oWnd.show();
        return false;
    }
    function Cerrar_ventana_flujocaja(oWnd, args) {
        var arg = args.get_argument();
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        oWnd.remove_close(Cerrar_ventana_flujocaja);
        if (arg) {
            var valor_id = arg.cell_id.trim();
            var valor_nombre = arg.cell_valor.trim();
            var txt_id = $find('<%= txt_flujocaja_id.ClientID %>');
            document.getElementById('<%= txt_flujocaja.ClientId %>').value = valor_nombre;
            txt_id.set_value(valor_id);
        }
        document.getElementById('<%= txt_flujocaja.ClientId %>').focus();
    }
    // FIN Abrir Ventana FlujoCaja //
    // Abrir Ventana Cta Cte //
    function abrir_ventana_cta_cte() {
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        var establecimientoID = <%= Request.QueryString("EstablecimientoID") %>;
        var texto_digitado = document.getElementById('<%= txt_cta_cte.ClientId %>').value;
        var ruta_ventana = "../Ctrl_Grillas_Emergentes.aspx?accion=NumeroCuenta_sin_inicio&texto_digitado=" + texto_digitado + "&EstablecimientoID=" + establecimientoID ;
        oWnd.setUrl(ruta_ventana);
        oWnd.add_close(Cerrar_ventana_cta_cte);
        oWnd.show();
        return false;
    }
    function Cerrar_ventana_cta_cte(oWnd, args) {
        var arg = args.get_argument();
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        oWnd.remove_close(Cerrar_ventana_cta_cte);
        if (arg) {
            var valor_id = arg.cell_id.trim();
            var valor_nombre = arg.cell_valor.trim();
            document.getElementById('<%= txt_cta_cte.ClientId %>').value = valor_nombre;
            document.getElementById('<%= txt_cta_cte_id.ClientId %>').value = valor_id;
            //txt_id.set_value(valor_id);
        }
        document.getElementById('<%= txt_cta_cte.ClientId %>').focus();
        ActualizarDatosCta();
    }
    // FIN Abrir Ventana Cta Cte //
    // Abrir Ventana TiposCambio //
    function abrir_ventana_tiposcambio() {
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        var datepicker = $find('<% =dp_fecha.ClientID %>');
        var texto_digitado = datepicker.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
        var ruta_ventana = "../Ctrl_Grillas_Emergentes.aspx?accion=TiposCambio_sin_inicio&texto_digitado=" + texto_digitado
        oWnd.setUrl(ruta_ventana);
        oWnd.add_close(Cerrar_ventana_tiposcambio);
        oWnd.show();
        return false;
    }
    function Cerrar_ventana_tiposcambio(oWnd, args) {
        var arg = args.get_argument();
        var oWnd = $find("<%= RadWindow1.ClientID %>");
        oWnd.remove_close(Cerrar_ventana_tiposcambio);
        if (arg) {
            var valor_id = arg.cell_id.trim();
            var valor_nombre = arg.cell_valor.trim();
            var txt_id = $find('<%= txt_tipocambio_id.ClientID %>');
            document.getElementById('<%= txt_tipocambio.ClientId %>').value = valor_nombre;
            //txt_id.set_value(valor_id);
        }
        document.getElementById('<%= txt_tipocambio.ClientId %>').focus();
    }
    // FIN Abrir Ventana TiposCambio //
    function ActualizarDatosCta() {
        var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
        ajaxManager.ajaxRequest("DatosCtaCte");
    }
    function GenerarAlerta(type, texto) {
        var n = noty({
            text: texto,
            type: type,
            dismissQueue: true,
            layout: 'center',
            modal: true,
            theme: 'defaultTheme'
        });
        console.log(type + ' - ' + n.options.id);
        return n;
    }
</script> 
<script type="text/javascript">
    function DateSelected(sender, eventArgs) {
        var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
        ajaxManager.ajaxRequest("DatosTC");
    }
</script>


    <script>
        function disableToolBar() {
        var toolBar = $find("<%=RadToolBar1.ClientID %>");
        var button = toolBar.findItemByText("Guardar");
        button.set_enabled(false);
        if (button.enabled = true)
        {
            var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
            ajaxManager.ajaxRequest("Guardar");
            button.set_enabled(false);
        }
    }
        
        
    function enableToolBar() {
        var toolBar = $find("<%=RadToolBar1.ClientID %>");
        var button = toolBar.findItemByText("Guardar");
        button.set_enabled(true);
    }

        function OcultarTC() {
            //alert('Ocultar');
            document.getElementById('tdTC1').style.display = 'none';
            document.getElementById('tdTC2').style.display = 'none';
        }

        function MostrarTC() {
            //alert('Mostrar');
            document.getElementById('tdTC1').style.display = 'table-cell';
            document.getElementById('tdTC2').style.display = 'table-cell';
        }
</script>

</telerik:RadCodeBlock>
<script type="text/javascript" id="telerikClientEvents1">
    function RadAjaxManager1_OnRequestStart(sender, args) {
        if (args.get_eventTarget().indexOf("ExportToExcelButton") >= 0)
            args.set_enableAjax(false);
    }
</script>
<script type="text/javascript">  
    function OnBlur(sender, args) {  
        if (sender.get_value() == "") {  
            sender.set_value("0");  
        }  
    }  
</script> 
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadToolBar ID="RadToolBar1" runat="server" Skin="WebBlue" Width="100%">
            <Items>
                <telerik:RadToolBarButton runat="server" Font-Names="Arial" Font-Size="9pt" ForeColor="White"
                    ImageUrl="~/SIG/Resources/Cancel_PopUp.png" Text="Cancelar" CausesValidation="False" 
                    onclick="Close();" OuterCssClass="rightButton" >
                </telerik:RadToolBarButton>
                <telerik:RadToolBarButton runat="server" Font-Names="Arial" Font-Size="9pt" ForeColor="White"
                    ImageUrl="~/SIG/Resources/Update_Popup.png" Text="Guardar" OuterCssClass="rightButton" onclick="disableToolBar();" >
                </telerik:RadToolBarButton>
            </Items>
        </telerik:RadToolBar>

        <dt class="divResponsables" style="width: 99%;">
        <asp:Label ID="lblCtaCte" runat="server" Text="N° Cuenta:" Font-Size="Small"></asp:Label><asp:Label ID="lblNumeroCuenta" runat="server" style="margin-right:20px" 
                Font-Size="Small"></asp:Label>
        <asp:Label ID="lblBanco" runat="server" Text="Banco:" Font-Size="Small"></asp:Label>
        <asp:Label ID="lblBancoSeleccionado" runat="server" style="margin-right:20px" 
                Font-Size="Small"></asp:Label>
        <asp:Label ID="lblMoneda" runat="server" Text="Moneda:" Font-Size="Small"></asp:Label>
        <asp:Label ID="lblNombreMoneda" runat="server" style="margin-right:20px" 
                Font-Size="Small"></asp:Label>
        
    
    <table style="font-family: 'Times New Roman', Times, serif; font-size: small; color: #333333">
    <tr>
        <td style=" text-align:right; width:10%; font-weight: bold; display:none">
                                Cta Cte  
                            </td>
                            <td style=" text-align:left; width:15%; display:none">
                                <telerik:RadTextBox ID="txt_cta_cte" runat="server" OnCLick="abrir_ventana_cta_cte();" Width="100%">
                                </telerik:RadTextBox>
                            </td>
                            <td style=" text-align:right; width:16%; font-weight: bold;" >
                                Fecha  
                            </td>
                            <td style=" text-align:left; width:16%">
                                <telerik:RadDatePicker ID="dp_fecha" runat="server" Width="100%">
                                    <ClientEvents OnDateSelected="DateSelected" />
                                </telerik:RadDatePicker>
                            </td>
                            <td style=" text-align:right; width:16%; font-weight: bold;">
                                Flujo de Caja 
                            </td>
                            <td style=" text-align:left; width:20%">
                                <telerik:RadTextBox ID="txt_flujocaja" runat="server" OnClick="abrir_ventana_flujocaja();" Width="100%">
                                </telerik:RadTextBox>
                            </td>
                            <td style=" text-align:left; width:10%">
                            </td>
                             <td align="left" style="width: 16%" valign="middle" rowspan="3">
                                <asp:RadioButton ID="rbDeposito" onClick="OcultarTC();" runat="server" Text="Deposito" Checked="True" GroupName="Tipo" Width="100%" /><br />
                                <asp:RadioButton ID="rbVentaDirecta" onClick="OcultarTC();" runat="server" Text="Venta Directa" GroupName="Tipo" Width="100%" /><br />
                                <asp:RadioButton ID="rbDetracion" onClick="OcultarTC();" runat="server" Text="Detracion" GroupName="Tipo" Width="100%" /><br />
                                <asp:RadioButton ID="rbTarjetadecredito" onClick="MostrarTC();" runat="server" Text="Tarjeta de credito" GroupName="Tipo" Width="100%"/><br />
                                <asp:RadioButton ID="rbCobranzaenefectivo" onClick="OcultarTC();" runat="server" Text="Cobranza en efectivo" GroupName="Tipo" Width="100%"/>
                            </td>

                            <td align="left" style="width: 16%"> 
                                                                                               
                            </td>
    </tr>
    <tr>
        <td style=" text-align:right; width:16%; font-weight: bold;" >
                                Tipo Cambio 
                            </td>
                            <td style=" text-align:left; width:16%">
                                <telerik:RadTextBox ID="txt_tipocambio" runat="server" 
                                    OnChange="recalcular_segun_cuenta();" 
                                    Width="100%" ReadOnly="True">
                                </telerik:RadTextBox>
                            </td>
                            

                            <td style=" text-align:right; width:16%; font-weight: bold;">
                                Medio de Pago  
                            </td>
                            <td style=" text-align:left; width:20%">
                                <telerik:RadTextBox ID="txt_mediopago" runat="server" OnClick="abrir_ventana_mediopago();" Width="100%">
                                </telerik:RadTextBox>
                            </td>
                            <td style=" text-align:left; width:10%">
                            </td>
                            <td align="left" style="width: 16%">
                                
                            </td>

                            <td align="left" style="width: 16%">                                                                
                            </td>
    </tr>
    <tr>
        <td style=" text-align:right; width:16%; font-weight: bold;">
                                Operacion  
                            </td>
                            <td style=" text-align:left; width:16%">
                                <telerik:RadTextBox ID="txt_operacion" runat="server" Width="100%">
                                </telerik:RadTextBox>
                            </td>

                            <td style=" text-align:right; width:16%; font-weight: bold;">
                                Empresa  
                            </td>
                            <td style=" text-align:left; width:20%">
                                <telerik:RadTextBox ID="txt_empresa" runat="server" OnClick="abrirEmpresasGrilla();" Width="99%">
                                </telerik:RadTextBox>
                                <telerik:RadTextBox ID="txt_empresaID" runat="server" Width="1%" style="display:none">
                                </telerik:RadTextBox>
                            </td>
                            <td style=" text-align:left; width:10%">
                            </td>
                            <td align="left" style="width: 16%">
                                
                            </td>

                            <td align="left" style="width: 16%">                                                                
                            </td>
    </tr>
    <tr>
        <td style=" text-align:right; width:16%; font-weight: bold;">
                                Planilla  
                            </td>
                            <td style=" text-align:left; width:16%">
                                <telerik:RadTextBox ID="txt_planilla" runat="server" OnClick="abrir_ventana_planilla();" Width="100%">
                                </telerik:RadTextBox>
                            </td>
                            
                            
                            <td style=" text-align:right; width:16%; font-weight: bold;">
                                Referencia  
                            </td>
                            <td style=" text-align:left; width:20%">
                                <telerik:RadTextBox ID="txt_referencia" runat="server" TextMode="MultiLine" Width="100%">
                                </telerik:RadTextBox>
                            </td>
                            <td id="tdTC1" runat="server" style=" text-align:right; width:16%;font-weight: bold;">
                                Tipo Tarjeta
                            </td>
                            <td id="tdTC2" runat="server" align="left" style="width: 16%">
                                <telerik:RadComboBox ID="cbxTarjetaCredito" runat="server" AppendDataBoundItems="True" DataSourceID="SDS_TarjetaCredito" DataTextField="NombreTarjetaCredito" DataValueField="TarjetaCreditoId">
                                    <Items>
                                        <telerik:RadComboBoxItem runat="server" Text="-Seleccione-" Value="0" />
                                    </Items>
                                </telerik:RadComboBox>
                                <asp:SqlDataSource ID="SDS_TarjetaCredito" runat="server" SelectCommand="SELECT [TarjetaCreditoId], [NombreTarjetaCredito] FROM [TarjetaCreditos]"></asp:SqlDataSource>
                            </td>

                            <td align="left" style="width: 16%">                                                                
                            </td>
    </tr>
    <tr>
        <td><br /></td>
        <td><br /></td>
        <td><br /></td>
    </tr>
    <tr>
        <td style=" text-align:right; width:16%; font-weight: bold;" >
                                TOTAL DEPOSITO  
                            </td>
                            <td style=" text-align:left; width:16%">
                                <telerik:RadNumericTextBox ID="txt_total_deposito" runat="server" Font-Bold="true" 
                                    style="text-align:right" Width="100%" MinValue="0">
                                    <NumberFormat ZeroPattern="n" GroupSeparator="" DecimalSeparator="."></NumberFormat>
                                    <ClientEvents OnBlur="OnBlur" /> 
                                </telerik:RadNumericTextBox>
                            </td>
                            <td style=" text-align:right; width:16%; font-weight: bold;" >
                                C.Banco Ext.:
                            </td>
                            <td style=" text-align:right; width:20%; font-weight: bold;" >
                                <telerik:RadNumericTextBox ID="CBE" runat="server" Font-Bold="true" 
                                    style="text-align:right" Width="100%" MinValue="0" Value="0">
                                    <NumberFormat ZeroPattern="n" GroupSeparator="" DecimalSeparator="."></NumberFormat>
                                    <ClientEvents OnBlur="OnBlur" /> 
                                </telerik:RadNumericTextBox>
                            </td>
                            <td style=" text-align:right; width:16%; font-weight: bold;" >
                                C.Banco N.:
                            </td>
                            <td style=" text-align:right; width:20%; font-weight: bold;" >
                                <telerik:RadNumericTextBox ID="CBN" runat="server" Font-Bold="true" 
                                    style="text-align:right" Width="100%" MinValue="0" Value="0">
                                    <NumberFormat ZeroPattern="n" GroupSeparator="" DecimalSeparator="."></NumberFormat>
                                    <ClientEvents OnBlur="OnBlur" /> 
                                </telerik:RadNumericTextBox>
                            </td>
                            
                            <td style=" text-align:left; width:16%">
                            </td>
    </tr>
    </table>            
    <table width="100%" border="0px" 
                style="font-family: 'Times New Roman', Times, serif; font-size: small; color: #333333">
        <tr>
            <td colspan="4">
                <dt class="divtableInterior">
                    <table width="100%" border=0>
                        <tr>
                            
                        </tr>
                    </table>
                </dt>
            </td>
        </tr>

        <tr>
            <td colspan="4">
                <dt class="divtableInterior">
                    <table width="100%" border=0>
                        <tr>
                            
                            

                        </tr>
                    </table>
                </dt>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <dt class="divtableInterior">
                    <table width="100%" border=0>
                        <tr>
                            
                        </tr>
                    </table>
                </dt>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <dt class="divtableInterior">
                    <table width="100%" border=0>
                        <tr>
                            
                        </tr>
                    </table>
                </dt>
            </td>
        </tr>
        <tr style="height: 55px;">
            <td colspan="4">
                <dt class="divtableInterior">
                    <table width="100%" border=0>
                        <tr>
                            
                        </tr>
                    </table>
                </dt>
            </td>
        </tr>
    </table>

</dt>
<telerik:RadTextBox ID="txt_cta_cte_id" runat="server" style="display:none;" text="0"></telerik:RadTextBox>
<telerik:RadTextBox ID="txt_flujocaja_id" runat="server" style="display:none;" text="0"></telerik:RadTextBox>             
<telerik:RadTextBox ID="txt_tipocambio_id" runat="server" style="display:none;" text="0"></telerik:RadTextBox>
<telerik:RadTextBox ID="txt_planilla_id" runat="server" style="display:none;" text="0"></telerik:RadTextBox>
<telerik:RadTextBox ID="txt_mediopago_id" runat="server" style="display:none;" text="0"></telerik:RadTextBox>
<telerik:RadTextBox ID="txt_moneda_id" runat="server" style="display:none;" text="0"></telerik:RadTextBox>
        <div style="float:right;display:none">
            <telerik:RadButton ID="btn_guardar" runat="server" Text="Guardar">
            </telerik:RadButton>
        </div>
        
    </div>
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <telerik:RadWindowManager ID="RadWindowManager1" runat="server">
        <Windows>
            <telerik:RadWindow ID="RadWindow1" runat="server" style="display:none;" VisibleStatusbar="False" 
                    ShowContentDuringLoad="False"  Skin="Windows7" AutoSize="true">
            </telerik:RadWindow>
        </Windows>
    </telerik:RadWindowManager>
    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Skin="Default">
    </telerik:RadAjaxLoadingPanel>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" 
        DefaultLoadingPanelID="RadAjaxLoadingPanel1">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="txt_tipocambio" 
                        LoadingPanelID="RadAjaxLoadingPanel1" UpdatePanelCssClass="" />
                    <telerik:AjaxUpdatedControl ControlID="txt_tipocambio_id" 
                        LoadingPanelID="RadAjaxLoadingPanel1" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    <ClientEvents OnRequestStart="RadAjaxManager1_OnRequestStart" />
    </telerik:RadAjaxManager>

    </form>
</body>
</html>
